> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Information

> Retrieve company information for one or all employers under your Zeal partner account.

Returns the matching [Company Object](/reference/companies/the-company-object) for the given `companyID`.


## OpenAPI

````yaml openapi/companies.json get /companies
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies:
    get:
      summary: Get All Company Information
      description: Get information for all companies under a partner.
      operationId: get-all-company-information
      parameters:
        - name: partnerID
          in: query
          description: PartnerID of the Zeal Partner
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - business_name: Coca-Cola
                        companyID: '123456890'
                        status: migration_pending
                        business_ein: '1234567890'
                      - business_name: Pepsi
                        companyID: '0987654321'
                        status: live
                        business_ein: '1234567890'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        business_name:
                          type: string
                          example: Coca-Cola
                        companyID:
                          type: string
                          example: '123456890'
                        status:
                          type: string
                          example: migration_pending
                        business_ein:
                          type: string
                          example: '1234567890'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No Zeal Partner with this partnerID exists
                        code: 7
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No Zeal Partner with this partnerID exists
                        code:
                          type: integer
                          example: 7
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````